Subject: Re: Remove configure's --without-sync-input option.

From: Paul Eggert <[email-masked]>
Date: Sun, 16 Sep 2012 01:34:52 -0700

On 09/16/2012 01:24 AM, Eli Zaretskii wrote:
> Yes, it _is_ invoked on platforms that don't use SYNC_INPUT now.

But the point of the patch is to assume SYNC_INPUT.

> we cannot be sure whether its non-invocation on
> SYNC_INPUT platforms isn't a simple omission, because most Posix
> platforms use neither gmalloc nor ralloc.c.

I'm not sure how you're counting, but many POSIXish systems use gmalloc.
These include FreeBSD, NetBSD, OpenBSD, HP-UX, AIX, and IRIX.

Of course it's possible that there are memory allocation glitches
on such systems, glitches that we haven't caught in the four years we've
been using SYNC_INPUT.  But any such glitches would be an independent
bug, i.e., a bug that we should fix independently of whether we remove
--without-sync-input.  And the glitches can't be that serious,
or we'd have noticed them before now.